## EDU.oswego.cs.dl.util.concurrent
Class LinkedNode

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.LinkedNode

    public class LinkedNode

extends java.lang.Object

A standard linked list node used in various queue classes

Field Summary
`LinkedNode` `next`
`java.lang.Object` `value`

Constructor Summary
`LinkedNode()`
`LinkedNode(java.lang.Object x)`
`LinkedNode(java.lang.Object x, LinkedNode n)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.Object value

### next

    public LinkedNode next

Constructor Detail

### LinkedNode

    public LinkedNode()

### LinkedNode

    public LinkedNode(java.lang.Object x)

### LinkedNode

    public LinkedNode(java.lang.Object x,
                      LinkedNode n)